SuSE 10 Security Update : ImageMagick (ZYPP Patch Number 2239)

This script is Copyright (C) 2007-2014 Tenable Network Security, Inc.


Synopsis :

The remote SuSE 10 host is missing a security-related patch.

Description :

Two security problems were found in GraphicsMagick which are also
present in ImageMagick.

- Multiple buffer overflows in ImageMagick allowed
user-assisted attackers to cause a denial of service and
possibly execute execute arbitrary code via (1) a DCM
image that is not properly handled by the ReadDCMImage
function in coders/dcm.c, or (2) a PALM image that is
not properly handled by the ReadPALMImage function in
coders/palm.c. (CVE-2006-5456)

Additionally a segfault regression when converting a PGM image was
fixed on SLE 10.

See also :

http://support.novell.com/security/cve/CVE-2006-5456.html

Solution :

Apply ZYPP patch number 2239.

Risk factor :

Medium / CVSS Base Score : 5.1
(CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 29348 ()

Bugtraq ID:

CVE ID: CVE-2006-5456

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now